spca5xx的问题

声卡/显卡/打印机/USB设备等硬件问题(网卡问题请发上面的网卡板块)
回复
头像
Tenyears
帖子: 2245
注册时间: 2005-06-30 15:46
来自: 成都
送出感谢: 0
接收感谢: 0

spca5xx的问题

#1

帖子 Tenyears » 2005-08-11 10:14

If the kernel was compiled using an other version of gcc, you will get an error message complaining
如果内核被使用其它版本的gcc编译,你将得到以下错误信息:

FATAL: Error inserting spca5xx (spca5xx.ko): Invalid module format

Try installing the kernel you built in Step 1. (And this is the one place even linux needs a reboot)
试着在第一步安装你构建的内核。(这样你的Linux就需要重启了)


我遇到了这个错误。但我不想自己编译内核。可否重装一个合适版本的gcc?怎么知道自己的内核用的是哪个版本的gcc?
上次由 Tenyears 在 2005-08-11 14:57,总共编辑 1 次。
Humanity to others // 己所不欲,勿施与人
Laptop: ThinkPad X220 --- Win7 Home / Ubuntu 12.04
Desktop: Win7/Ubuntu 12.04
Server: Ubuntu12.04
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 yongyi » 2005-08-11 10:52

cat /proc/version
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
头像
Tenyears
帖子: 2245
注册时间: 2005-06-30 15:46
来自: 成都
送出感谢: 0
接收感谢: 0

#3

帖子 Tenyears » 2005-08-11 14:34

谢谢。
再问一下,怎么装gcc-3.3.5?

apt-get remove --purge gcc

apt-get install gcc-3.3

正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
gcc-3.3 已经是最新的版本了。

怎么办?
Humanity to others // 己所不欲,勿施与人
Laptop: ThinkPad X220 --- Win7 Home / Ubuntu 12.04
Desktop: Win7/Ubuntu 12.04
Server: Ubuntu12.04
头像
oneleaf
论坛管理员
帖子: 10209
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 99 次

#4

帖子 oneleaf » 2005-08-11 14:39

如果真想用不如升级到breezy,都已经自带了。
当净其意如虚空,远离妄想及诸取,令心所向皆无碍
头像
Tenyears
帖子: 2245
注册时间: 2005-06-30 15:46
来自: 成都
送出感谢: 0
接收感谢: 0

#5

帖子 Tenyears » 2005-08-11 14:46

我不想整个系统升级到breezy,先观望观望。我不喜欢吃螃蟹,呵呵。
可以仅就spca5xx使用breezy吗?
Humanity to others // 己所不欲,勿施与人
Laptop: ThinkPad X220 --- Win7 Home / Ubuntu 12.04
Desktop: Win7/Ubuntu 12.04
Server: Ubuntu12.04
头像
oneleaf
论坛管理员
帖子: 10209
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 99 次

#6

帖子 oneleaf » 2005-08-11 15:16

切换到breezy的源,升级内核,再改回来。
当净其意如虚空,远离妄想及诸取,令心所向皆无碍
头像
Tenyears
帖子: 2245
注册时间: 2005-06-30 15:46
来自: 成都
送出感谢: 0
接收感谢: 0

#7

帖子 Tenyears » 2005-08-11 16:16

thank u
试试去。
Humanity to others // 己所不欲,勿施与人
Laptop: ThinkPad X220 --- Win7 Home / Ubuntu 12.04
Desktop: Win7/Ubuntu 12.04
Server: Ubuntu12.04
头像
catinsnow
帖子: 773
注册时间: 2005-08-02 7:23
来自: 上海
送出感谢: 0
接收感谢: 1 次

#8

帖子 catinsnow » 2005-09-16 9:33

这种问题,一般只要 ln -s /usr/bin/gcc-3.3 /usr/bin/gcc 就可以解决gcc版本问题了.当然gcc-3.3要装上(看清楚,是gcc-3.3,而不是gcc这个包的3.3版本哦).
Ubuntu Intrepid
#P4 2.4
P4 2.4C
#1024MB
2048MB
#120G
500G+120G
Nvidia FX5700
#ATI9100 --拆了,受不了ATI的驱动.
回复

回到 “常用硬件支持”